Subject: bug#71321: 30.0.50; M-x grep: not recognizing well files with colon

From: Jean Louis <[email-masked]>
Date: Tue, 4 Jun 2024 07:27:54 +0300

* Jim Porter <[email-masked]> [2024-06-04 01:43]:
> On 6/2/2024 3:02 AM, Eli Zaretskii wrote:
> > > From: Jean Louis <[email-masked]>
> > > Date: Thu, 30 May 2024 13:03:31 +0300
> > > 
> > > I have files like:
> > > 
> > > ~/tmp/2024-05-17-10:39:33-RCD TEMPORARY BUFFER.txt
> > > 
> > > and if I do M-x grep on those files, I get results such as:
> [snip]
> > > Where by when I try to click on the file, it is attempting to find wrong
> > > file "2024-05-17-10" instead of "2024-05-17-10:39:33-RCD TEMPORARY
> > > BUFFER.txt" so I guess that regular expression of finding the file in
> > > *grep* temporary buffer shall be improved.
> 
> Jean: could you show the actual "grep" command that you're using here, and
> the output of "grep --version"? That would help narrow down what's going on
> here.

$ grep --version

grep (GNU grep) 3.8
Copyright (C) 2022 Free Software Foundation, Inc.
License GPLv3+: GNU GPL version 3 or later <https://gnu.org/licenses/gpl.html>.
This is free software: you are free to change and redistribute it.
There is NO WARRANTY, to the extent permitted by law.

Written by Mike Haertel and others; see
<https://git.sv.gnu.org/cgit/grep.git/tree/AUTHORS>.

Actual grep command is this:

M-x grep RET
grep --color=auto -nH -e '|' *.txt

2024-01-22-11:39:12-RCD TEMPORARY BUFFER.txt:4:|------------+--------------------------------------------+---------|
2024-01-22-11:39:12-RCD TEMPORARY BUFFER.txt:5:| 2024-01-20 | Received from Jean Louis                   |  100000 |
2024-01-22-11:39:12-RCD TEMPORARY BUFFER.txt:6:| 2024-01-22 | Transport to Bukuya                        |  -40000 |

-- 
Jean

Take action in Free Software Foundation campaigns:
https://www.fsf.org/campaigns

✡️🛡️ Proudly standing with Israel, a nation rooted in history and culture. Let's condemn hatred and promote understanding.

In support of Richard M. Stallman
https://stallmansupport.org/